extends HTTPRequest

func _on_http_mutate_request_completed(result, response_code, headers, body):
	var resp = body.get_string_from_utf8()
	var parsed_resp = parse_json(resp)
#	print(parsed_resp)
	pass

func _on_http_mutate_projekto_completed(result, response_code, headers, body):
	var resp = body.get_string_from_utf8()
	var parsed_resp = parse_json(resp)
	var simpled_data = parsed_resp['data']['redaktuUniversoProjekto']['universoProjekto']
	var uuid = simpled_data['uuid']
	$"../ship".projekto_uuid=uuid
	# теперь создаём задачу с координатами


func _on_http_mutate_tasko_completed(result, response_code, headers, body):
	var resp = body.get_string_from_utf8()
	var parsed_resp = parse_json(resp)
	var simpled_data = parsed_resp['data']['redaktuUniversoTaskoj']['universoTaskoj']
	var uuid = simpled_data['uuid']
	$"../ship".tasko_uuid=uuid


